Cannot enable Scaffolding

  • 2
  • Problem
  • Updated 2 years ago
Confluence version: 5.7.1
Scaffolding version: 5.4.0

Confluence was restarted a few days ago and now the Scaffolding and Scaffolding Metadata module cannot be enabled.

I have looked at the other posts related to this and we do NOT use Form Mail. The temporary workaround posted in other threads does not work for us.

Please advise, we rely on Scaffolding and need it enabled ASAP.
Photo of Ben

Ben

  • 6 Posts
  • 0 Reply Likes

Posted 4 years ago

  • 2
Photo of Ben

Ben

  • 6 Posts
  • 0 Reply Likes
I see now that this may be an issue with the RB Storage update. We are on 5.3.0 and apparently Scaffolding only works with 5.2.4.

How do I downgrade?
Photo of Paul Biagio

Paul Biagio

  • 28 Posts
  • 2 Reply Likes
Uninstall the current versions of RB Strorage plugins and download the old versions from the atlassian marketplace and upload manually.
Photo of Paul Biagio

Paul Biagio

  • 28 Posts
  • 2 Reply Likes
They just pulled 5.3.0 versions from the marketplace. Here are the links to download the correct ones:
https://marketplace.atlassian.com/plu...
https://marketplace.atlassian.com/plu...
https://marketplace.atlassian.com/plu...
https://marketplace.atlassian.com/plu...

If it still doesn't work after you install the correct versions, you might have to do a restart and clear the plugin cache before you start Confluence back up.
Photo of Ben

Ben

  • 6 Posts
  • 0 Reply Likes
Thank you!

This resolved the issue and everything is up and running again, but how did this happen? Does ServiceRocket develop the RB Storage modules or does Atlassian?
Photo of Nurhana Ziana Bt. Hanafi

Nurhana Ziana Bt. Hanafi, Employee

  • 3500 Posts
  • 269 Reply Likes
Hello Ben,

We (ServiceRocket) maintain RB Storage plugins, however we found that the recent updates are not compatible with latest Scaffolding plugin.

We're sorry for the trouble. Glad now the issue has resolved.


Thanks&Regards,
Ziana
Photo of Stephen Gramm

Stephen Gramm

  • 154 Posts
  • 6 Reply Likes

Which RB Plugins and versions are compatible with Reporting v5.1.0 and Scaffolding v6.2.3?

Photo of Rilwan Ahmed

Rilwan Ahmed

  • 3 Posts
  • 0 Reply Likes
If clearing cache and re-installing scaffodling doesnot work, please try this. 

Workaround.

1. Uninstall add-on Metadata Plugin (org.andya.confluence.plugins.metadata version 3.5)
2. Install add-on Metadata Plugin (org.andya.confluence.plugins.metadata version 3.4)
3. Enable add-on Scaffolding (net.customware.confluence.plugin.scaffolding)